Rosoft Lame Encoder Help

Welcome to Rosoft Lame Encoder Help

[Buttons], [Menus], [About MP3], [Lame Encoder], [How To Use], [Who Should Use], [Introduction], [Support], [EULA], [Register]

Here is Rosoft Engineering's latest program in the Audio Tools series. This program is included in Rosoft Audio Tools 2.2.3 and forward. It is available as a stand-alone version. You can encode fast speed, normal speed, and high quality. You can set the bitrate up to 320 kbps. You can chose to use VBR or non-VBR, but note some hard ware DVD, CD, MP3 Player etc. can not read VBR. For example some DVD players can only reads CBR. Fast Mode encodes fast while High Quality mode takes more time. High Mode gives the best sound while Fast Mode doesn't give that good quality. For support or questions about the program feel free to send an e-mail to support@RosoftEngineering.com

This program supports the Lame ain't no Mp3 Encoder (LAME) project. To be able to use the program you need to download the file lame_enc.dll your self. If you go to http://www.RosoftEngineering.com/cgi/lameenc.cgi you will be redirected to lames official homepage from where you can download the DLL. Or if you find a site where you can by lame_enc.dll or a program that includes lame_enc.dll you can of course do that.

This document was written by Lars Rosenberg, founder of Rosoft Engineering. Since my native language is Swedish I would appreciate every correction and comments for the language in this document as well as the programs described. Corrections and comments should be send to support@RosoftEngineering.com

Copyright (c) Rosoft Engineering, 2002

Rosoft Engineering, Karlstad, Swedem
Homepage: http://www.RosoftEngineering.com
Affiliate Site: http://www.Rosoft.nu
Email Support: support@RosoftEngineering.com


Introduction to Rosoft Lame Encoder

Rosoft Engineering is proud to announce the release of this front end encoder for the backend mp3 encoder from the Lame project. Since the Lame project is a widely supported project you are sure that you will have good updates for you mp3 encoder in the future.

  • Who Should Use Rosoft Lame Encoder?
  • How To Use Rosoft Lame Encoder?
  • What are the system requirements?
  • Rosoft Lame Encoder features

[Home]


Who Should Use Rosoft Lame Encoder?

You should use Rosoft Lame Encoder if you

  • Use Rosoft Audio Recorder to record wave files that you want to save as mp3 files.

  • Use Rosoft CD Extractor to extract wave files from audio CDs that you later on want to save as mp3 files.

  • Are looking for a good front end program for the Lame Encoder Projects backend encoder lame_enc.dll.

  • For any other reason have wave files that you want to save as mp3 files.

  • Are looking for an mp3 encoder program that has a lot of potential and lots of different options.

  • Want to be able to chose between a fast encoder and a high quality encoder.

[Back to Introducing Rosoft Lame Encoder]


Requirements for Rosoft Lame Encoder

Hardware Requirements

  • CPU

    • The faster CPU you use the faster the program encodes the file. We recommended you to use at least a pentium III 500 but the program works on a Pentium 166 MMX even if it takes longer to encode the files.

  • RAM

    • The required minimum of Read and Access Memory (RAM) you need is depending on the Windows version you are running and on the number of tasks Windows have to do in the background. As a hint you can see the table below.

      Windows 95 | 64 MB
Windows 98 | 64 MB
Windows ME | 96 MB
Windows NT4 | 96 MB
Windows 2000 | 128 MB
Windows XP | 256 MB

    Note that if you run Windows XP as we do the operating system uses more than 128 MB before we start any program. I wouldn't recommended any one to run Windows XP unless they have 256 MB RAM installed. Of course you can try to use the program with less memory. The worst thing that can happen is that Windows Crashes and force you to reboot the machine.

  • Drive space

    • First you need a lot of storage for the wave files you want to use as source for Rosoft Lame Encoder. The size of the files created by Rosoft Lame Encoder rangers from 1/20 of the original size 1/5 of the size depending on the bitrate you have chosen.

Software Requirements

  • The only software requirement except that you run Windows 95/98/ME/2000/XP is that you have the file lame_enc.dll installed in your Windows Folder. You find more information about the Lame Encoder here.

  • You also need a program to extract or record you wave files with. For example Rosoft Audio Recorder or Rosoft CD Extractor.

Adware Editions

  • If you are using one of our adware/freeware edition of Rosoft Lame Encoder it is most likely that you need to have the adware that came with the install functioning properly. You are of course able to uninstall any adware that comes with one of any of our adware editions but if you uninstall the adware the program stops working. There is an alternative way of using our programs without adware. Register the unlimited edition of the program and without any adware what so ever.

  • For more information see the adware section of this help file.

[Introduction]


How To Use Rosoft Lame Encoder

Downloading

  • Find a place to download the file from

    • There are several places you can find links to the download of the latest version of the file. We Rosoft Engineering never have any old versions that we give out to other download sited. The only time we might have the previous version available is when a new version isn't fully tested or when we find a bug that makes it impossible to run the programs on some machine, but that is very rare. It has only happened once or twice in two and a half year.

  • Save the downloaded file don't run the file.

    • When you download a file you should always save the file in a temporary folder other that your default browsers temporally folder. When you save the downloaded file make sure to delete any old files with the same name as the one you want to download or save the downloaded file under a different name. Internet Explorer is known not to update the file if it already exist in the folder where you try to save the download file.

  • Make a backup of the downloaded file

    • It is highly recommended that you make a backup of the downloaded file. This way you are protected if we should be hard to reach or if our Internet Service Provider (ISP) have troubles. But don't worry we well do our best to stay on the Internet and if possible even expand.

Installing

  • Install the downloaded file

    • When you install the file make sure you complete the whole install. If you don't several parts might not be saved in the Registry and/or the files making the program non functional.

  • If the install fails the first time?

    • If the install failed the first time for any reason you just have to run the install again.

  • If you fail installing the program several times

    • If you fail to install the program after several trials you should look at this page.

Entering the right options

  • The first time you run the program

    • The very first thing after installing the program we recommended you to enter the options for how the program encodes and where the program save the encoded files. First set the MP3 Options then set the Output Folder. You should go through these two steps when you create a new session as well.

  • Default options

    • The program installs with default options set. If you reinstall the program you don't have to reenter the options again Rosoft Lame Encoder should remember the old options. If you for some reason should have to change the options and if you can't do this from the program you must delete the fields in your Registry manually, see Windows 2000/XP And The Registry.

Creating a session

  • Remove old files

    • Before you add the new files you might need to remove all old or some of the old files. Most common is to remove all files in the track list.

  • Select the files

    • Select all files you want to encode. NOTE all files will be encoded with the same mp3 options and saved in the same folder.

  • Encode the files

    • Press the encode button, the button with the red dot on (record button). Now sit back and let Rosoft Lame Encoder do the job for you. NOTE that if you are encoding high quality files at low bitrate it takes a while to do the job.

Editing a session

  • Remove a file

    • To remove a file just select the file in the track list and press the button with one cross on.

  • Remove all files

    • To remove all files from the track list press the button with two crosses upon one another.

  • Add file(s)

    • To add a file press the button with an open (yellow) folder, select the files you want to add from the form that pops up after pressing this button then press the Open button. The form that pops up is the same as all other program uses to select files from.

Encoding a session

  • All files are encoded in one command

    • When you press the encode button all files are encoded starting with the file on top in the track list and ending with the file on the bottom of the track list. All files are stored in the folder given by Output Folder and all files are encoded with the same quality.

[Back to Introducing Rosoft Lame Encoder]


Rosoft Lame Encoder Features

Rosoft Lame Encoder doesn't come with the backend encoder that does the actual encoding. Because of Fraunhofers huge license fee we have found it more sensible to rely on the support for the free-of-charge backend encoder from the Lame Project. The lame project is a project where developers around the whole world are improving the free encoder that produces mp3 files but due to the Lame Project isn't an mp3 encoder. This does not mean that the Lame encoder is not as good as the other encoders. Due to test we have made at Rosoft Engineering we have found that the lame encoder is as good as the original, the Fraunhofer MP3 Encoder. Last year 2001 we sold the Fraunhofer MP3 Encoder with license from Fraunhofer and THOMPSON multimedia. But the user told us that they didn't want to pay the $10 extra we had to add the the registration for our full products that included the Fraunhofer MP3 Encoder. By relying on support for different encoder that produces mp3 files we at Rosoft Engineering try to keep our back free. Since the program only supports outboard mp3 encoder and other encoders such as the Lame encoder we also have the possibility to release this program as a freeware/adware program.

Rosoft Lame Encoder includes

  • Possibility to chose from Fast, Normal and High Quality encoding

    • Fast means that the encoder does the job fast at a lower quality.

    • Normal means that the encoder does the job at a normal speed and at a normal quality

    • High Quality means that the encoder does the hob at a slower speed and at the same time makes a better result.

  • Possibility to chose different bitrates

    • You can chose different bitrates. At high bitrate you get better sound but the time to encode is longer. At low bitrate the encoding is done faster at a lower quality. The bitrate ranges from 32 kbps to 320 kbps. The higher the bitrate the bigger files you get. The lower bitrate the smaller file you get.

  • Possibility to hose between different encoders

    • You have the option to chose between different backend encoders. At the moment when this file was written the encoders supported is Blade Encoder, Lame Encoder and our Fraunhofer MP3 Encoder we sold in 2001. Every one who registered Rosoft Audio Tools 2, Licensed Edition or Rosoft MP3 Encoder, Licensed Edition should be able to chose Fraunhofer as their encoder.

  • Possibility to set the options for every track individually

      • You can set the options for every track individually. This is useful if you want to set the ID3 Tags and the destination folder. If you recorded the tracks by using Rosoft Audio Recorder and from the reorder chose the menu command MP3 Encoder Rosoft Lame Encoder is opened with the same list of tracks that is shown in Rosoft Audio Reorder. But that's not all, the Audio Source Information you set in the recorder will be used when you encode the tracks. That is if you don't change the Audio File Options from the Edit Menu.

[Back to Introducing Rosoft Lame Encoder]


Rosoft Lame Encoder Progress

  • Over all progress

    • The percentage of files that the program has start to encode.

  • File progress

    • The percentage of the number of bytes that the program has encoded.

    [Menus]


Buttons

  • Encode

    • Start the encoding of the first file. After the first file has been encoded it removes the file encoded and then starts to encode the next track in the list and so on until every file is encoded. The encoded files ends up in the output folder.

  • Stop

    • Stop the encoding of all files. Add Files Add files to the track list.

  • Edit Output Folder

    • Open the form where you set the Output Folder.

  • MP3 Options

    • Open the form where you chose the MP3 Options you want the program to use.

  • Remove

    • Remove the file selected in the track list.

  • Remove all

    • Clear the track list.

    [Back to Menus]


Track List

The track list is a list of all files for a session. When you press the encode button all tracks in the list are encoded started with the file on the top and ending with the file at the bottom of the list. The track list show the entire file path of the files. You can only add wave files with 44,100 Hz 16 bit stereo also knows as the Compact Digital Digital Audio (CDDA) format


Menus

Track Lists

  • Load

    • Load a track list.

  • Save

    • Save the track list. This command replaces the old track list with the present one.

  • Save As

    • Save the track list under a different file name than the present one..

  • Exit

    • Exit the program.

Edit

  • Audio File Options

    • Open a dialog where you can enter options for how the files should be stored. You can edit more than one file at a time. But if you edit more than one file at a time you can't set the file name. When you close the program and reopen the program the Audio File Options are still the same as when you last used the program.

  • Add

    • Add one ore several files to the track list.

  • Remove DEL

    • Remove the selected track from the track list.

  • Encode

    • Converts all tracks in the track list to mp3 files.

  • Remove All

    • Remove all tracks from the track list.

Options

  • MP3 Options

    • Opens a dialog where you enter which mp3 encoder to use and what options you want the mp3 encoder to use.

  • Output Folder

    • Opens a dialog where you select the output destination for your mp3 files. Every created mp3 file will end up in this folder until you change it. As default it is set to the folder where Rosoft Lame Encoder is installed. The very first thing you should do when you start using Rosoft Lame Encoder you should set this folder.

  • Font

    • With the dialog you can set the colors and the font of the fields in for Rosoft Lame Encoder..

Help

  • About

    • Opens the about dialog that gives you information of which edition and release you are using.

  • Index CTRL+H

    • Opens the start page of this help file.


Audio File Options

The Check Boxes at the left on the window tells if the field should be used or not. If the check box is marked then the field is set when you press OK. If it is not the field is ignored when you press OK. If you for example want to set the path only which is very likely you would like. You select the Path field only. If you for example have recorded five LPs with Rosoft Audio Recorder and added a list of these files to the encoder you can select all files and change the path for all. Then you select each LPs tracks at a time and change to a sub folder of the one you set.

  • Artist

    • This is the field that set the artist in the ID3 tag..

  • Album

    • This is the field that sets the Album field in the ID3 tag.

  • Name

    • This should be the name of the track that is stored in the ID3 tag. Note: This is not the name of the track that is created.

  • Year

    • This field sets the year field in the ID3 tag.

  • Genré

    • The Genré should be select from one of the genrés in the drop down list. If it is not the created ID3 tag may store an invalid genré.

  • Path

    • This is the path where you want the created mp3 file to be stored. Note: If you set this it is not shown as a path in the main window. The path shown in the main window is the default path. This field should be set if you have many files in the track list. You can foe example tell the encoder to store the files in the Track List in different folder for different artists.

  • Edit MP3 Options

    • With this option you can set different bitrates for different files. This is a very useful command that makes the program much more versitale.


MP3 Options

  • In Format

    • This is the format on the input file to the mp3 encoder. It is used so you can check what Out Format you can use for a specific In Format. An audio CD has "44100 Hz - Stereo - 172 kbps". For Rosoft CD Extractor this field should be set to "44100 Hz - Stereo - 172 kbps" to ensure that you select a valid Out Format.

  • Out Format

    • This is the format of the encoded file. The first value is the sample rate, the second is the channel mode (stereo/mono) and the last is the bit rate. High bit rate gives high quality and large files. Low bit rate gives lower quality and smaller files.

  • Encoder

    • Chose from BladeEnc and LameEnc. We recommended you to use LameEnc.

  • Quality Mode

    • The option sets the quality of the encoder. High Quality gives very good sound but takes more time to encode. Normal giver a fairly good sound and at normal speed. Fast Encoder encodes the file fast but gives a lower quality of the sound.

  • Private bit on

    • This controls the so called value of the private bit. Select this to indicate that this track is the original. Unselect this control if it is a copy.

  • CRC bit on

    • If this control is selected the encoder generates CRC check sums.

  • Copyright bit on and Original bit on

    • Controls the original/copy bit in the MPEG frame header. Select this control to indicate that this tack is the original.

  • VBR on

    • Select this control if you want to use Variable Bit Rate (VBR).

  • VBR Quality

    • Sets the quality of the VBR mode. 0 is the as Constant Bit Rate (CBR). Value 1 is the highest VBR quality while 10 is the lowest VBR Quality.

  • OK

    • Press this button to save the options you have entered in the Registry.

  • Cancel

    • Press cancel to close the form without saving the data in the Registry.

  • Help

    • Press help to open this help page.

    Options that are valid if you have Rosoft MP3 Encoder installed

      Rosoft Engineering no longer sells this encoder due to the huge patent fees MP3-Licensing is charging. A minimum annual fee of US$ 15,000 and then US$ 5 per shipped Fraunhofer MP3 Encoder plug in and US$ 7.5 for every shipped MP3Pro encoder. This is the reason we no only support encoders such as Lame. The Lame encoder is an encoder that produces mp3 files and can be downloaded from Lame's official download page here.

    • Padding Mode

      • Certain multimedia and architectures (namely, Microsoft Netshow) have a hard time dealing with blocks of variable size. If you want to transport MPEG Layer-3 content over this system, setting Padding Mode to Never or always will make the encoder generate equally sized frames. Only ISO is guaranteed to write ISO-compliant bit streams with exact bit rates. This mode is only valid if you have the file rsfhgencr.dll in your Windows Folder. This file came with Rosoft MP3 Encoder, Licensed Edition which no longer is sold. However the new releases of Rosoft CD Extractor supports the older editions.

      • Allow Intensity

        • Usually you should allow the encoder to use intensity stereo coding, especially at the lower bit rates. However, in special cases, it might be useful to disallow intensity stereo.

      • Allow Midsize

        • Usually you should allow the encoder to use mid/side stereo coding, especially at the lower bit rates. However, in special cases, it might be useful to disallow mid/side stereo. This flag is not supported yet.

      • Allow Downmix

        • Usually you should allow the encoder to Downmix stereo input to mono output. However in special cases, it might be useful to disallow Downmix.

    [Menus]


Output Folder

Fields

  • Path

    • This is the path you will set when you press OK. To create a new path just type the full path you want and press the Create Folder button.

  • Directory List

    • Here you can select from existing folders that are displayed in as a tree.

  • Drive List

    • A list of all drives for your PC, floppy drives, zip drives, jazz drives, hard drives, CD-R or CD-RW. You should chose a hard drive to store your files on.

Buttons

  • Create Folder

    • Type the path you want in the path field and then press the Create Folder button.

  • OK

    • Press this button to set the path in the path field.

  • Cancel

    • Press this button if you regret your changes and want to restore the old Output Folder. Any Created Folder will though still be valid.

  • Help

    • Open this help file at this page.

[Menus]


Fonts & Colors

      Select font, style, color and background color for all text fields in the program.

    • Font

        • Select the font you like. Here are some examples of different fonts:

        MS Sans Serif

        Times New Roman

        Courier New

        Comic Sans MS

        Arial

        MS Sans Serif Bold

        Times New Roman Bold

        Courier New Bold

        Arial Bold

    • Style

        • You can set the style of the text to Bold or Normal. This is bols text, this is normal text.

    • Background Color

        • You can set the background color for the fields and the track list. You can select from general colors and you can create your own background color.

    • Foreground Color

        • You can set the foreground color for the fields and the track list. You can select from general colors and you can create your own foreground color.

[Options Menu]


MP3 Encoders

There are three backend encoders that are supported at the moment. Rosoft MP3 Encoder is an old Fraunhofer MP3 Encoder we sold in 2001 but due to huge license fees our customers told us to start support the free Lame Encoder which you have to download your self. Most people didn't want to pay the extra that the Fraunhofer MP3 Encoder backend cost If you don't have that one we recommend you to use Lame Encoder which is as good as Fraunhofers MP3 Encoder. Some even say that the Lame Encoder is better but that is very individual. We have made tests at our labs and found that the Fraunhofer MP3 Encoder was a little better is you used High Quality and low bitrates. For most people the Lame Encoder is good enough. If you are a trained musician or if you work as a sound engineer then you might be able to hear the difference in one of a hundreds files. Find out more about the different MP3 encoders below.

  • Lame Encoder
  • BladeEnc
  • Rosoft MP3 Encoder


Rosoft MP3 Encoder, Licensed Edition

This was a program that we sold last year, 2001 from June to December 31. Those of you who under this period registered Rosoft MP3 Encoder, Licensed Edition or Rosoft Audio Tools, Licensed Edition will be able to use the Fraunhofer Backend MP3 Encoder along with Rosoft CD Extractor and Rosoft Lame Encoder. You must have one of the editions installed, Rosoft Audio Tools, Licensed Edition or Rosoft MP3 Encoder, Licensed Edition. The backend file that does the mp3 encoder is named rsfhgencr.dll and should be found in your Windows Folder (%WinDir%). In fact you only need the file rsfhgencr.dll installed in your Windows Folder before you install Rosoft CD Extractor, Licensed Edition or Rosoft Audio Tools, Lame Edition.

Because of huge the license fee Fraunhofer is charging that resulted in an extra cost of $10 for our customers we have found that it is better to rely on support for the freeware encoders LameEnc and BladeEnc. We recommended you to use LameEnc if you don't already have Rosoft MP3 Encoder, Licensed Edition or Rosoft Audio Tools, Licensed Edition.


The LAME Project

Following the great history of GNU naming, LAME originally stood for Lame Ain't an MP3 Encoder (LAME) started life as a GPL'd patch against the dist10 ISO demonstration source, and thus was incapable of producing an mp3 stream or even being compiled by itself. But in May 2000, the last remnants of the ISO source code were replaced, and now LAME is the source code for a fully GPL'd MP3 encoder, with speed and quality to rival all commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding. The goal of the LAME project is to use the open source model to improve the psycho acoustics, noise shaping and speed of MP3. LAME is not for everyone - it is distributed as source code only and requires the ability to use a C compiler. However, there are some places you can get Lame Encoder as a DLL to be used with other programs.

I have set up a reroute script that will link you to the latest version of Lame Encoder. If this link doesn't work please e-mail me at mp3@RosoftEngineering.com. Every time Lame updates the DLL they change the name on the download file. Therefor I have to update the reroute download script every time Lame updates the DLL. The URL for Lames reroute download script is http://www.RosoftEngineering.com/cgi/lameenc.cgi .

You can find more information about lame at http://www.sulaco.org/mp3/ or one of the following URLs below or press the reroute script http://www.RosoftEngineering.com/cgi/lamehome.cgi

URLs

  • www.sulaco.org/mp3/
  • www.mp3dev.org/mp3/
  • lame.sourceforge.net/


Register

Why Register?

You register all four audio programs from Rosoft Engineering

If you register you will get Rosoft Audio Recorder, Rosoft CD Extractor, Rosoft Lame Encoder and Rosoft Media Player in one install file. These four programs have no limitations. The install-file uninstalls the adware from Web3000 and 180Solutions and RedV Network. That is if you haven't changed any thing for Web3000 or n-CASE.

You can download every upgrade for Rosoft Audio Tools, Lame Edition 2.x.x.

If you register Rosoft Audio Tools, Lame Edition you are free to download the latest release of Rosoft Audio Tools here.

Update emails

Unless you unsubscribe from our mailing list. You will get update emails for every new release and for every new bug fix that is released. You might also get information of new programs that we release.

Where can I register?

You can register at ShareIt or RegNow. European citizen within the European Union (EU) should register at RegNow to avoid paying VAT.


HTML Help Hearder

Windows 2000/XP and the Registry

  • If you are using Windows 2000 or Windows XP it is very important that you log in with the same rights as the Administrator when you install the program. The install program write and saves data to the Registry and a limited user or a guest some times can't do depending on the rights for the specific user.

  • If you for some reason have trouble with the Registry it's recommended that you first delete the entire key HKEY_CURRENT_USER\Software\Rosoft from your Registry then reinstall the the programs. If you have an older release than 2.2.4 you may also need to delete the entire key HKEY_LOCAL_MACHINE\Software\Rosoft. To delete a Registry Key you need to open RegEdit. At the left of your task menu you have a Start Button . Press the Start button and select Run from the menu. Then type regedit.exe in the field and press OK. In the left frame of the RegEdit window select the keys mentioned above and press the Delete Key. Make sure it is the keys above you are deleting. It could be crucial to delete the wrong key(s). Your entire system may crash if you delete the wrong keys. See the screen below for an example. Note : The program you see is from a Swedish version of Windows XP Pro

    • [Home]


Support

This program was developed by Rosoft Engineering which also handles all support requests for this program. Every request should be send to support@RosoftEngineering.com and we will make our best to reply in a couple of days. If you have a question about a registrations we give your question a higher priority. We recommend you to read the FAQ in this help file and on our homepage. This might give you a hint of your problem.

If you report a bug we want you to give us the following information

  • Operating system
  • Physical memory (RAM)
  • Space left on the hard drive
  • Registered or non registered edition.
  • If you use a registered edition please give us the e-mail you gave us at registration, registration key or registration number.


About MP3

I guess most people have heard about mp3. For those ho haven't I will try go get a short introduction. MP3 is a way to compress digital audio. Digital audio is impossible to compress to less than half the size if you want the uncompressed information to be unchained. There fore you must cheat a little bit when you compress digital audio. The only way is to split the audio signal into frames and for every frame you then must find the frequencies and their values. Many frequencies can be removed because you do not hear them. For example man can only hear two signals at the same time if the difference between them are less than 50 dB, For example if one signal is 90 dB every signal less than 40 dB can be removed since you never hear them. At lest a normal person doesn't hear them. There are only one type of songs where I've been able to heard the difference between a wave and an mp3 file and that are songs with slide or steal guitar combined with a fast echo on the guitar. If you are a trained musician and have good hearing and if you have a really good sound board, then maybe you are able to hear the difference between a wave and an mp3 file. In basics the mp3 files stores time frames and for every time frame they store the frequencies and the frequencies value.


MP3 Options

Audio File Options

  • The Check Boxes

    • To be able to set each field you must set the check box for the field. For example: If you want to change the path for all files in the track list but not change any other options you can select the path field only. This way only the path value for each file is stored..

  • Artist

    • This is the name of the artist that plays the track..

  • Album

    • This is the album name of the CD, record or tape.

  • Name

    • This is the name of the track. NOTE that this is not the filename..

  • Year

    • This marks the year the track was the recorded.

  • Genré

    • This is the genre of the track. You should select from the drop down list to so other programs recognize the genré.

  • Path

    • This is the path where the file will be stored when you encode it. If this field is empty the file will be stored under the default path shown at the bottom of the mail form..

    [Menus]


End User License Agreement (EULA)

End User License Agreement (EULA) for Rosoft Media Player

There are three editions of Rosoft Audio Recoreder:

  • Registered Edition
  • Adware Edition
  • Shareware Edition

Rosoft Media Player - Registered Edition

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST THE ADWARE OR SHAREWARE EDITION OF ROSOFT MEDIA PLAYER TO ENSURE FITNESS FOR PURPOSE.

All licensed or registered editions are solely for the private use of the registered individual. A separate registration must be made for each installed copy of the software. The Registration Key you is given is unique to every user and shall only be used on one computer at a time. If you have the same registration key installed on two machines at the same time the program might will randomly fail to work, this to protect again unauthorized redistribution.

You can read about 180Solutions private policy here.

Rosoft Media Player - Adware Edition

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST THE ADWARE OR SHAREWARE EDITION OF ROSOFT MEDIA PLAYER TO ENSURE FITNESS FOR PURPOSE.

The included adware comes from 180Solutions and RedV Network and are called n-CASE and EasyInstall.

Rosoft Media Player - Shareware Edition

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST THE ADWARE OR SHAREWARE EDITION OF ROSOFT MEDIA PLAYER TO ENSURE FITNESS FOR PURPOSE.

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/


Lame Arguments

The information below is for LAME version 3.54 (www.sulaco.org/mp3) GPSYCHO: GPL psycho-acoustic model version 0.75.

Arguments

[options] <infile> [outfile]

OPTIONS :

-m mode                (s)tereo, (j)oint, (f)orce or (m)ono  (default j)
                       force = force ms_stereo on all frames. Faster
-b <bitrate>           set the bitrate, default 128kbps
-s sfreq               sampling frequency of input file(kHz) - default 44.1
--resample sfreq       sampling frequency of output file(kHz)- default=input sfreq
--mp3input             input file is a MP3 file
--voice                experimental voice mode
-v                     use variable bitrate (VBR)
-V n                   quality setting for VBR.
                       default n=4
                       0=high quality,bigger files.
                       9=smaller files
-b <bitrate>           specify minimum allowed bitrate, default 32kbs
-B <bitrate>           specify maximum allowed bitrate, default 256kbs
-t                     disable Xing VBR informational tag
--nohist               disable VBR histogram display
-h                     use (maybe) quality improvements
-f                     fast mode (low quality)
-k                     disable sfb=21 cutoff
-d                     allow channels to have different block types
--athonly              only use the ATH for masking
-r                     input is raw pcm
-x                     force byte-swapping of input
-a                     downmix from stereo to mono file for mono encoding
-e emp                 de-emphasis n/5/c  (obsolete)
-p                     error protection. adds 16bit checksum to every frame
                       (the checksum is computed correctly)
-c                     mark as copyright
-o                     mark as non-original

-S                     don't print progress report, VBR histograms

Specifying any of the following options will add an ID3 tag

--tt <title>           title of song (max 30 chars)
--ta <artist>          artist who did the song (max 30 chars)
--tl <album>           album where it came from (max 30 chars)
--ty <year>            year in which the song/album was made (max 4 chars)

--tc <comment>         additional info (max 30 chars)

MPEG1 sample rates(kHz): 32 44.1 48

bit rates(kbs): 32 48 56 64 80 96 112 128 160 192 224 256 320

MPEG2 sample rates(kHz): 16 22.05 24

bit rates(kbs): 8 16 24 32 40 48 56 64 80 96 112 128 144 160